<app-header
    title="Rendez-vous"
    subTitle="Vos consulations"
    data-test-id="header"
    [border]="false"
></app-header>

<ion-content class="ion-margin-vertical">
    <ion-grid
        class="diaries border-top-1 border-0 border-solid has-border-gray"
    >
        <ion-row
            *ngIf="consultationService.list.length === 0 && !loading"
            class="diaries ion-align-items-center ion-justify-content-center"
        >
            <ion-col size="11">
                <app-action-required
                    [message]="messagesInfos.mustRegisterCalendar"
                    class="block radius-17 px-8 has-background-light-gray"
                >
                    <ion-row class="ion-justify-content-center">
                        <ion-col size="auto" sizeMd="6" class="pt-10">
                            <app-button
                                title="Vérifier mon agenda"
                                routerLink="/tabs/account/agenda"
                                fill="clear"
                                class="flex weight-600 radius-10 ion-justify-content-center is-primary border-1 border-solid"
                            >
                            </app-button>
                        </ion-col>
                    </ion-row>
                </app-action-required>
            </ion-col>
        </ion-row>

        <ion-row
            *ngIf="consultationService.list.length > 10"
            class="ion-justify-content-center ion-padding"
        >
            <ion-col class="ion-no-padding pb-10">
                <app-input-text
                    data-test-id="search"
                    [control]="searchForm"
                    [name]="'search'"
                    inputType="text"
                    [hasBorder]="false"
                    class="flex radius-11 pt-5 border-1 border-solid has-border-green-light-thin has-background-pale-grey-dark ion-align-items-center height-45"
                >
                    <ion-icon
                        start-icon
                        icon="search"
                        class="size-25 mt-9 ml-5"
                        color="grey-dark-lighter"
                    ></ion-icon>
                </app-input-text>
            </ion-col>
        </ion-row>

        <ion-row
            *ngIf="!loading && consultationService.list.length > 0 && filteredList.length === 0"
            class="results ion-align-items-center ion-justify-content-center mb-98"
        >
            <ion-col size="11">
                <app-action-required
                    data-test-id="no-results"
                    message="Aucun résultat"
                    class="block mx-10"
                    lines="none"
                >
                </app-action-required>
            </ion-col>
        </ion-row>

        <app-diarylist
            [list]="filteredList"
            [mode]="DiaryListMode.list"
            class="block mx-12 mt-12"
        ></app-diarylist>
    </ion-grid>
</ion-content>
<ion-footer class="ion-no-border">
    <app-tabs activeTab="diaries"></app-tabs>
</ion-footer>
